devhelp_3.18.1-1ubuntu5_amd64.deb


Advertisement

Description

devhelp - GNOME developers help program

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Main amd64
Package name: devhelp
Package version: 3.18.1
Package release: 1ubuntu5
Package architecture: amd64
Package type: deb
Installed size: 100 B
Download size: 15.11 KB
Official Mirror: archive.ubuntu.com
Devhelp's primary goal is to be an API documentation browser for GNOME. It is able to scan for .devhelp files generated automatically for packages that use gtk-doc-tools to generate documentation for libraries and programs. Devhelp provides some integration capabilities, which is used to allow command-line searches, emacs integration and embedding in applications like the Anjuta IDE.

Alternatives

    Download

    Source package: devhelp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install devhelp deb package:
      # sudo apt-get install devhelp

    Files

    • /etc/emacs/site-start.d/50devhelp.el
    • /usr/bin/devhelp
    • /usr/share/appdata/org.gnome.Devhelp.appdata.xml
    • /usr/share/applications/org.gnome.Devhelp.desktop
    • /usr/share/dbus-1/services/org.gnome.Devhelp.service
    • /usr/share/doc/devhelp/AUTHORS
    • /usr/share/doc/devhelp/NEWS.gz
    • /usr/share/doc/devhelp/README
    • /usr/share/doc/devhelp/TODO
    • /usr/share/doc/devhelp/changelog.Debian.gz
    • /usr/share/doc/devhelp/copyright
    • /usr/share/doc/devhelp/tools/devhelp.vim
    • /usr/share/doc/devhelp/tools/html2funcs.py
    • /usr/share/doc/devhelp/tools/html2xml.py
    • /usr/share/doc/devhelp/tools/man2xml.py
    • /usr/share/man/man1/devhelp.1.gz

    Changelog

    2016-01-07 - Iain Lane <iain@orangesquash.org.uk> devhelp (3.18.1-1ubuntu5) xenial; urgency=medium * Undo that, use wk2 now.

    2015-11-02 - Iain Lane <iain@orangesquash.org.uk> devhelp (3.18.1-1ubuntu4) xenial; urgency=medium * Fix the -dev package dependency too.

    2015-11-02 - Iain Lane <iain@orangesquash.org.uk> devhelp (3.18.1-1ubuntu3) xenial; urgency=medium * debian/patches/0001-Revert-Use-webkit_navigation_policy_decision_get_nav.patch, debian/control{,.in}: Use webkit2-3.0 since 2-4.0 isn't in main yet.

    2015-10-28 - Robert Ancell <robert.ancell@canonical.com> devhelp (3.18.1-1ubuntu2) xenial; urgency=medium * Actually, just be in sync with Debian

    2015-10-27 - Robert Ancell <robert.ancell@canonical.com> devhelp (3.18.1-1ubuntu1) xenial; urgency=medium * Merge with Debian, remaining Ubuntu changes: * debian/control.in: - Switch to libwebkit2gtk-4.0-dev. - Don't break anjuta << 2:3.14.0-2.

    2015-10-13 - Michael Biebl <biebl@debian.org> devhelp (3.18.1-1) unstable; urgency=medium * New upstream release. * Drop outdated section about Bonobo functionality from devhelp-common's package description.

    2015-09-22 - Andreas Henriksson <andreas@fatal.se> devhelp (3.18.0-1) unstable; urgency=medium [ Josselin Mouette ] * Remove Debian menu entry. [ Michael Biebl ] * New upstream release. * Bump Build-Depends on libwebkit2gtk-4.0-dev to (>= 2.6.0) as per configure.ac. [ Andreas Henriksson ] * Update debian/libdevhelp-3-2.symbols with 3 removals and 1 addition. - Missing symbols not used according to codesearch.debian.net and was apparently never part of a public header, so very unlikely anyone would be using them.... See https://git.gnome.org/browse/devhelp/commit/?id=4763132dfc6b * Ship dbus service file in devhelp package.

    2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com> devhelp (3.16.1-1ubuntu2) wily; urgency=medium * No-change rebuild for python3.5 transition

    2015-05-28 - Jackson Doak <noskcaj@ubuntu.com> devhelp (3.16.1-1ubuntu1) wily; urgency=medium * Revert until this is dropped to universe or webkit2gtk is main: LP: #1459434 - debian/control.in: + Switch to libwebkit2gtk-4.0-dev. + Break anjuta << 2:3.14.0-2 to prevent anjuta from mixing libwebkit2gtk-3.0 and libwebkit2gtk-4.0.

    2015-05-27 - Michael Biebl <biebl@debian.org> devhelp (3.16.1-1) unstable; urgency=medium * New upstream release. * Drop obsolete Replaces from pre-wheezy. * Update debian/copyright to reflect the current sources. * Bump debhelper compatibility level to 9. * Bump Standards-Version to 3.9.6. * Drop obsolete clean rule.

    Advertisement
    Advertisement